@font-face {
   font-family: AngryBirds;
   src: url(./Montserrat-ExtraBoldItalic.otf)
}

@font-face {
   font-family: FUTU;
   src: url(./15669.ttf)
}

html {
   scroll-behavior: smooth;
}

body {
    margin: 0;
    background-color: #1c1c1c;
    font-family: "Roboto", sans-serif;
    color: #fff;
}

a {
    color: #fff;
    text-decoration: none;
 }

 ul {
    list-style: none;

 }

 h1,h2,h3,h4,h5,h6 {
   font-weight: 500;
   margin: 0;
 }

 .img {
   max-width: 100%;
 }

 p {
   margin: 0;
 }

 p + p {
   margin-top: 15px;
 }

 /*ГОЛОВА*/

 

 .container {
   box-sizing: border-box;

   max-width: 1170px;
   margin: 0 auto;
   padding: 0 15px;
 }

 .btn {
   display: flex;
   align-items: center;
   justify-content: center;

width: 175px;
height: 50px;

font-weight: 500;
font-size: 16px;

background: #f6762c;
border-radius: 8px;

transition: opacity 0.3s;
} 

.btn:hover {
   opacity: 0.8;
}

.btn--small {
   width: 140px;
   height: 40px;
   font-size: 12px;
}



.header-wrapper {
   position: relative;
   height: 100%;
}

.header-bg {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   object-fit: cover;
   display: none;
   z-index: 1;
}

.header {
   position: fixed;
   height: 86px;
   top: 0;
   left: 0;
   width: 100%;
   background-color: rgba(12, 12, 11, 0.7);
    
   box-shadow: 0 1px 30px rgba(255, 148, 7, 0.268);
   z-index: 1000;
  
}



.header .container {
   padding-left: 50px;
   display: flex;
justify-content: space-between;
align-items: center;
z-index: 10;
}

.head-logo {
   width: 85px;
   height: 85px;
}

.header-logo {
   width: 80px;
   height: auto;
   transition: all 0.2s ease;
}

.header-logo:hover {
   width: 83px;
}

.header_list {
display: flex;
gap: 30px;
}

.header_list li ul {
   position: absolute;
   width: 180px;
   background: #484747;
   border-radius: 5px;
   box-shadow: inset 0 1px 10px  rgb(48, 48, 47);
   display: none;
   padding: 10px 0;
   visibility: hidden;
}


.header_list li:hover ul {
   display: block;
   visibility: visible;
}

.header_list li ul a {
   display: block;
   padding: 8px 20px;
   font-size: 14px;
   opacity: 0.9;
   background: #484747;
   color: #ffffff;
   transition: all .6s;
}

.header_list li ul:hover a {
opacity: 1;
 background: #282727;
 color: #e18d26;
}

.header_list li ul a:hover {
 background: #ff9d009c;
 color: #000;
   border-radius: 3px;
}

.header_nav a {
font-size: 14px;
opacity: 0.7;
transition: opacity 0.3s;
}

.header_nav a:hover {
opacity: 0.9;
}

.header_nav a.catalog {
font-size: 14px;
opacity: 1;
}


/*КАТАЛОГ*/

.food-list {
margin-top: 30px;
}

.poshyk {
   display: flex;
   justify-content: center;
   flex-wrap: wrap;
   margin-top: 120px;
   padding: 0 20px;
   z-index: 1000;
}

.strk-poshyk {
  width: 100%;
   max-width: 400px;
   min-width: 100px;
   height: 35px;
   box-sizing: border-box;
   border-radius: 5px;
   border: none;
   margin: 0 20px;
   padding: 0 10px;
   font-size: 14px;
}

.food_text {
   text-align: center;
   font-size: 30px;
   margin: 0;
   padding: 20px 10px 20px 10px;
   background-color: #2f2d2d;
   z-index: 10;
    font-family: 'AngryBirds', sans-serif;
}

.food-list .container {
   display: flex;
justify-content: center;
flex-wrap: wrap;
gap: 40px 10px;
padding: 25px 10px 100px 10px;
box-shadow: 0px 2px 10px  rgba(0, 0, 0, 0.9);
z-index: -10;
}

.food-list__card {
width: 220px;
height: 370px;
text-align: center;
border-radius: 10px;
background: #2d2c2c;
padding: 15px 0 0 0;
box-shadow: 0 0 15px #000000;
}

.food-list__img {
width: 96%;
height: 130px;
object-fit: cover;
border-radius: 10px;
transition: all 0.4s ease;
}

.food-list__img:hover {
   
   width: 100%;
   height: 135px;
   
}

.food-list__text-wrapper {
  padding: 30px 20px;
}

.food-list_price {
   padding: 0px 0px 20px 0px;
   color: #f6762c;
}

.food-list__title {
   margin-bottom: 13px;
font-size: 20px;
font-family: 'FUTU', sans-serif;
}

.food-list__desc {
font-size: 14px;
opacity: 0.7;
}

.product__price {
font-weight: 500;
letter-spacing: 0.1em;
color: #f6762c;
}

.product__price + .product__price {
   margin-left: 5px;
}

.product__price--old {
   opacity: 0.5;
text-decoration-line: line-through;
color: #fff;
margin-top: 5px;
}



/*САМЫЙ НИЗ*/

.footer {
padding: 80px 100px 70px 100px;
background-color: #2d2d2d;

 box-shadow: inset 0 1px 20px  rgba(7, 181, 255, 0.7)
}

.footer a {
   font-size: 12px;
  color: rgba(255, 255, 255, 0.8);
  transition: color 0.3s;
}

.footer a:hover {
   color: rgb(142, 185, 235);
}

.foot-logo {
   height: 84px;
   width: 84px;
   padding-bottom: 20px;
}

.footer-logo {
   width: 80px;
   height: auto;
    transition: all 0.2s ease;
}

.footer-logo:hover {
width: 83px;
}

.footer__link {
   display: flex;
   align-items: center;
 gap: 10px;
}

.footer__link-img {
 display: flex;
 display: inline-block;
 align-items: center;
 padding-right: 10px;
 opacity: 0.7;

}

.footer .footer__title {
   display: inline-block;
margin-bottom: 15px;
font-weight: 500;
font-size: 16px;
color: #fff;
}

.footer .conteiner {
display: grid;
grid-template-columns: 1fr 3fr 1fr;

}

.footer__list {
display: grid;
grid-template-columns: repeat(3, 1fr);
}

.footer__contects {
display: flex;
flex-direction: column;
align-items: flex-start;
margin-top: -47px;
}

.footer__contects a {
   padding-left: 25px;
}



.footer__link + .footer__link {
margin-top: 10px;
}



.footer__inner-list {
margin: 0;
padding: 0;
list-style-type: none;
}

.footer__socials-link {
   display: inline-block;
   text-transform: 0.3s;
}

.footer__socials-link:hover {
transform: scale(1.1);
}

.footer__socials-link + .footer__socials-link{
  margin-left: 10px;

}

.footer__list-item + .footer__list-item {
margin-top: 15px;
}

.footer__socials {
unicode-bidi: normal;
margin-top: 16px;
}


/*AДАПТАЦИЯ*/


@media (max-width: 1064px)  {

   .header-bg {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   object-fit: cover;
   z-index: -1;
}
}


@media (max-width: 1056px) {
   .footer {
      padding: 20px 100px 10px 100px;
   }

   .footer .conteiner {
      grid-template-columns: 1fr 1fr;
      grid-template-rows: 1fr 1fr;
      grid-template-areas: "nav nav"
                           "contects socials";
      justify-items: center;
      gap: 40px 150px;
   }

   .footer__contects {
     grid-area: contects;
     justify-self: end;
   }

   .footer__nav {
     grid-area: nav;
     gap: 20px;
     padding-bottom: 20px;
   }

   .footer__socials {
     grid-area: socials;
     align-self: center;
     justify-self: start;
   }

   .footer__list {
      gap: 50px;
   }

}


@media (max-width: 1030px) {
   .header .container {
      padding: 0 100px 0 100px;
   }

   .header .btn {
      display: none;
   }
}


@media (max-width: 725px) {
   nav.href__li {
      display: none;
   }
}

@media (max-width: 710px) {
   .food-list__card {
    width: 190px;
    height: 375px;
   }

   .food-list__img {
    width: 96%;
    height: 120px;
}

.food-list__img:hover {
   width: 100%;
    height: 125px;
}
}


@media (max-width: 690px) {
   
   .footer .conteiner{
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-top: 70px;
      padding-bottom: 30px;
      text-align: center;
   }

.foot-logo {
   width: auto;
}

   .footer__list {
      padding-left: 5px;
   }

   .footer__contects{
      align-items: center;
   }
}

@media (max-width: 600px) {
   .header-bg {
   top: 0;
   left: 0;
   width: 100%;
   height: 150px;
   opacity: 0.5;
   object-fit: cover;
   display: block;
   z-index: -1;
}


.header {
   position: fixed;
   top: 0;
   left: 0;
   width: 100%;
   z-index: 1000;
}

   .header .container{
      gap: 10px;
      padding: 0;
      margin: 0 50px 0 50px;
   }

    .welcome {
      margin-top: -118px;
   }

   .poshyk {
      margin-top: 80px;
   }

   .food_text {
      margin: 0 0 0 0;
   }

   .food-list {
    padding: 0;
    margin-top: 20px;
}

   .header {
      position: static;
      background: none;
      box-shadow: none;
   }

   .header-container {
       height: 200px;
   }

   .footer__socials{
   margin-right: 10px;
   }
}

@media (max-width: 560px) {
    .food-list .container {
        justify-content: space-evenly;
    }
}

@media (max-width: 500px) {
   .header .container{
      flex-direction: column;
      gap: 10px;
      margin: 0 10px 0 0;
   }
}

@media (max-width: 420px) {
    .food_text {
      font-size: 23px;
    }

    .food-list__card {
        width: 168px;
        height: 360px;
    }

    .food-list__title {
      font-size: 18px;
    }
   }


@media (max-width: 380px) {
   .footer {
    padding: 0;
}

.footer .conteiner {
   margin-top: 0;
}

   .footer__list{
      display: flex;
      flex-direction: column;
}

.food-list .container {
   padding: 30px 10px 150px 10px;
}
   }


@media (max-width: 375px) {
       .food-list__card {
        width: 160px;
        height: 360px;
    }
    }